DeliveryOrderStatusMappingReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор
      example: 1
    created_at:
      description: "Дата создания"
      format: date-time
      type: string
      example: "2021-01-29T12:36:13.000000Z"
    updated_at:
      description: "Дата обновления"
      format: date-time
      type: string
      example: "2021-01-29T12:36:13.000000Z"
DeliveryOrderStatusMappingFillableProperties:
  type: object
  properties:
    delivery_service_id:
      allOf:
        - type: integer
        - $ref: '../../delivery-services/enums/delivery_service_enum.yaml'
    status:
      allOf:
        - type: integer
        - $ref: '../enums/delivery_order_status_enum.yaml'
    external_status:
      type: string
      description: Статус заказа на доставку у службы доставки (зависит от службы доставки)
      example: "1"
DeliveryOrderStatusMappingRequiredProperties:
  type: object
  required:
    - delivery_service_id
    - status
    - external_status
DeliveryOrderStatusMappingIncludes:
  type: object
  properties:
    delivery_service:
      $ref: '../../delivery-services/schemas/delivery_services.yaml#/DeliveryService'
DeliveryOrderStatusMapping:
  allOf:
    - $ref: '#/DeliveryOrderStatusMappingReadonlyProperties'
    - $ref: '#/DeliveryOrderStatusMappingFillableProperties'
    #- $ref: '#/DeliveryOrderStatusMappingIncludes'

CreateDeliveryOrderStatusMappingRequest:
  allOf:
    - $ref: '#/DeliveryOrderStatusMappingFillableProperties'
    - $ref: '#/DeliveryOrderStatusMappingRequiredProperties'
ReplaceDeliveryOrderStatusMappingRequest:
  allOf:
    - $ref: '#/DeliveryOrderStatusMappingFillableProperties'
    - $ref: '#/DeliveryOrderStatusMappingRequiredProperties'

SearchDeliveryOrderStatusMappingFilter:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор
      example: 1
    delivery_service_id:
      allOf:
        - type: integer
        - $ref: '../../delivery-services/enums/delivery_service_enum.yaml'
    status:
      allOf:
        - type: integer
        - $ref: '../enums/delivery_order_status_enum.yaml'
    external_status:
      type: string
      description: Статус заказа на доставку у службы доставки (зависит от службы доставки)
      example: "1"

SearchDeliveryOrderStatusMappingRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      allOf:
        - type: object
        - $ref: '#/SearchDeliveryOrderStatusMappingFilter'
    include:
      type: array
      items:
        type: string
        description: Подгружаемые связанные сущности
        enum:
          - delivery_service
      example:
        - delivery_service
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

DeliveryOrderStatusMappingResponse:
  type: object
  properties:
    data:
      $ref: '#/DeliveryOrderStatusMapping'
    meta:
      type: object
  required:
    - data
SearchDeliveryOrderStatusMappingResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/DeliveryOrderStatusMapping'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
